Type to search.

Get rule details

Base URL
https://{kibana_url}
  • GET /api/alerting/rule/{id}
Auth

Path parameters

id string required

The identifier for the rule.

Responses

Indicates a successful call.

application/json
actions object[] required
connector_type_id string required

The type of connector. This property appears in responses but cannot be set in requests.

group string

The group name, which affects when the action runs (for example, when the threshold is met or when the alert is recovered). Each rule type has a list of valid action group names. If you don't need to group actions, set to default.

id string required

The identifier for the connector saved object.

params map string to object required

The parameters for the action, which are sent to the connector. The params are handled as Mustache templates and passed a default set of context.

use_alert_data_for_template boolean

Indicates whether to use alert data as a template.

uuid string

A universally unique identifier (UUID) for the action.

api_key_created_by_user boolean nullable

Indicates whether the API key that is associated with the rule was created by the user.

api_key_owner string · default: null nullable

The owner of the API key that is associated with the rule and used to run background tasks.

consumer string required

The name of the application or feature that owns the rule. For example: alerts, apm, discover, infrastructure, logs, metrics, ml, monitoring, securitySolution, siem, stackAlerts, or uptime.

created_at string required

The date and time that the rule was created.

created_by string · default: null nullable

The identifier for the user that created the rule.

enabled boolean required

Indicates whether you want the rule to run on an interval basis after it is created.

execution_status object required
last_duration number

Duration of last rule execution.

last_execution_date string required

The date and time of the last rule execution.

status enum required

Status of rule execution.

Values: ok active error warning pending unknown
id string required

The identifier for the rule.

mapped_params map string to object
mute_all boolean required

Indicates whether all alerts are muted.

muted_alert_ids string[] required
name string required

The name of the rule.

next_run string nullable

Date and time of the next rule run.

notify_when enum nullable

Indicates how frequently rule actions are triggered. Valid values include: onActionGroupChange: Actions run when the alert status changes; onActiveAlert: Actions run when the alert becomes active and at each check interval while the rule conditions are met; onThrottleInterval: Actions run when the alert becomes active and at the interval specified in the throttle property while the rule conditions are met. You cannot specify notify_when at both the rule and action level. The recommended approach is to set it for each action individually. If you set notify_when at the rule level and then edit the rule, it will automatically be converted to action-specific values.

Values: onActionGroupChange onActiveAlert onThrottleInterval null
params map string to object required

The parameters for the rule.

revision number required

The rule revision number.

rule_type_id string required

The rule type identifier.

running boolean nullable

Indicates whether the rule is running.

schedule object required
interval string required

The interval is specified in seconds, minutes, hours, or days.

scheduled_task_id string

Identifier of the scheduled task.

tags string[] required
throttle string nullable deprecated

Deprecated in 8.13.0. Use the throttle property in the action frequency object instead. The throttle interval, which defines how frequently rule actions are triggered. You cannot specify the throttle interval at both the rule and action level. If you set the throttle interval at the rule level and then edit the rule, it will automatically be converted to action-specific values.

updated_at string required

The date and time of the latest updates to the rule.

updated_by string · default: null nullable

The identifier for the user who was the last to update the rule.

400

Indicates an invalid schema or parameters.

403

Indicates that this call is forbidden.

404

Indicates a rule with the given ID does not exist.